# remirepo/fedora spec file for base58
#
# Copyright (c) 2019 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#

%global gh_commit   16c2527608053d2cc2fa05b2e3b5ae96065d1410
%global gh_short    %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner    luke-jr
%global gh_project  libbase58
%global libname     libbase58
%global soname      0

Name:          base58
Summary:       Bitcoin's base58 encoding
Version:       0.1.4
Release:       1%{?dist}
License:       MIT

URL:           https://github.com/%{gh_owner}/%{gh_project}
Source0:       https://github.com/%{gh_owner}/%{gh_project}/archive/%{gh_commit}/%{gh_project}-%{version}-%{gh_short}.tar.gz

BuildRequires: gcc
BuildRequires: autoconf >= 2.59
BuildRequires: automake
BuildRequires: libtool
BuildRequires: libgcrypt-devel >= 1.2.0
BuildRequires: vim-common

Requires:      %{libname}%{?_isa} = %{version}-%{release}


%description
Bitcoin's base58 encoding.


%package -n %{libname}
Summary:    Library for Bitcoin's base58 encoding

%description -n %{libname}
This package contains the header files and development libraries
for %{libname}.


%package -n %{libname}-devel
Summary:    Header files and development libraries for %{libname}
Requires:   %{libname}%{?_isa} = %{version}-%{release}

%description -n %{libname}-devel
This package contains the header files and development libraries
for %{libname}.


%prep
%setup -q -n %{gh_project}-%{gh_commit}

./autogen.sh


%build
%configure
make %{_smp_mflags}


%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

rm    %{buildroot}%{_libdir}/%{libname}.a
rm    %{buildroot}%{_libdir}/%{libname}.la
rm -r %{buildroot}%{_datadir}/doc/%{libname}


%check
make check


%files
%{_bindir}/%{name}

%files -n %{libname}
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_libdir}/%{libname}.so.%{soname}*

%files -n %{libname}-devel
%doc AUTHORS README
%{_libdir}/pkgconfig/%{libname}.pc
%{_libdir}/%{libname}.so
%{_includedir}/%{libname}.h


%changelog
* Tue Feb 26 2019 Remi Collet <remi@remirepo.net> - 0.1.4-1
- initial package
